<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@color/white">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="fitXY"
        android:src="@drawable/bg_login_header"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_header_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:layout_marginTop="101dp"
        android:includeFontPadding="false"
        android:text="您好， \n欢迎使用酷乐秀"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_26"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_phone_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:layout_marginTop="73dp"
        android:includeFontPadding="false"
        android:text="@string/phone_num_str"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_header_title" />


    <EditText
        android:id="@+id/et_phone_num"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_line_height"
        android:layout_marginStart="35dp"
        android:layout_marginEnd="35dp"
        android:background="@null"
        android:hint="@string/please_input_phone_num"
        android:inputType="phone"
        android:maxLength="11"
        android:textColorHint="@color/color_ffc1c1c1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_phone_num" />


    <View
        android:id="@+id/view_phone_divide"
        android:layout_width="0dp"
        android:layout_height="1px"
        android:layout_marginTop="3dp"
        android:background="@color/divide_color"
        app:layout_constraintLeft_toLeftOf="@+id/et_phone_num"
        app:layout_constraintRight_toRightOf="@+id/et_phone_num"
        app:layout_constraintTop_toBottomOf="@+id/et_phone_num" />

    <TextView
        android:id="@+id/tv_password_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:includeFontPadding="false"
        android:text="@string/password_str"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="@+id/tv_phone_num"
        app:layout_constraintTop_toBottomOf="@+id/view_phone_divide" />

    <EditText
        android:id="@+id/et_password"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_line_height"
        android:background="@null"
        android:drawablePadding="@dimen/common_padding_small"
        android:hint="@string/please_input_pwd"
        android:inputType="textPassword"
        android:paddingLeft="@dimen/common_padding_small"
        android:textColorHint="@color/color_ffc1c1c1"
        app:layout_constraintLeft_toLeftOf="@+id/et_phone_num"
        app:layout_constraintRight_toRightOf="@+id/et_phone_num"
        app:layout_constraintTop_toBottomOf="@+id/tv_password_num" />

    <View
        android:id="@+id/view_pw_divide"
        android:layout_width="0dp"
        android:layout_height="1px"
        android:layout_marginTop="3dp"
        android:background="@color/divide_color"
        app:layout_constraintLeft_toLeftOf="@+id/et_password"
        app:layout_constraintRight_toRightOf="@+id/et_password"
        app:layout_constraintTop_toBottomOf="@+id/et_password" />

    <TextView
        android:id="@+id/mLoginBtn"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:layout_marginStart="35dp"
        android:layout_marginTop="36dp"
        android:layout_marginEnd="35dp"
        android:background="@drawable/shape_login_bt_bg"
        android:gravity="center"
        android:text="@string/login_str"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_17"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_pw_divide" />

    <TextView
        android:id="@+id/tv_login_by_code"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/shape_login_code_bt_bg"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/login_by_code_str"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_17"
        app:layout_constraintLeft_toLeftOf="@+id/mLoginBtn"
        app:layout_constraintRight_toRightOf="@+id/mLoginBtn"
        app:layout_constraintTop_toBottomOf="@+id/mLoginBtn" />

    <CheckBox
        android:id="@+id/cb_privacy"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:background="@android:color/transparent"
        android:button="@null"
        android:drawableStart="@drawable/register_privacy_selector_student"
        android:drawablePadding="5dp"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:text="@string/read_privacy_and_agree_str"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintRight_toLeftOf="@+id/tv_privacy"
        app:layout_constraintLeft_toLeftOf="@+id/tv_login_by_code"
        app:layout_constraintTop_toBottomOf="@+id/tv_login_by_code" />

    <TextView
        android:id="@+id/tv_privacy"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        tools:text="《用户注册协议》和《隐私政策》"
        android:textColor="@color/color_2dc7aa"
        android:textSize="@dimen/sp_12"
        app:layout_constraintRight_toRightOf="@+id/tv_login_by_code"
        app:layout_constraintBottom_toBottomOf="@+id/cb_privacy"
        app:layout_constraintLeft_toRightOf="@+id/cb_privacy"
        app:layout_constraintTop_toTopOf="@+id/cb_privacy" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="fitXY"
        android:src="@drawable/bg_login_bottom"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <!--    <TextView-->
    <!--        android:id="@+id/mForgetPwdTv"-->
    <!--        style="@style/WrapWrap"-->
    <!--        android:layout_gravity="right"-->
    <!--        android:layout_marginRight="@dimen/common_margin"-->
    <!--        android:text="忘记密码？"-->
    <!--        android:textColor="@color/common_blue"-->
    <!--        android:visibility="gone" />-->
</androidx.constraintlayout.widget.ConstraintLayout>
